Ubuntu

[FFe] Update libimobiledevice to support iOS 7, fix Trust Prompt Looping

Reported by Nick on 2013-08-02
This bug affects 251 people
Affects Status Importance Assigned to Milestone
Linux Mint
Undecided
Unassigned
libimobiledevice (Debian)
Fix Released
Unknown
libimobiledevice (Ubuntu)
Medium
Unassigned

Bug Description

The latest libimobiledevice release 1.1.5 is a year old and does not support iOS7 devices. Most iOS devices have been updated to iOS7 by now, so currently the library is broken in functionality for most users. The git snapshot has been tested to work, but there seems to be no new upstream release being prepared for the time being.

The new git snapshot includes several fixes, including the security fix that was previously patched on top of 1.1.5 in Ubuntu.

Packaging branch merge request attached to this bug report.

--- Original report ---

The iPhone reporting "Trust the currently connected computer?" Trust/Don't Trust.
This then happens in a continous loop when clicking Trust.

---
ApportVersion: 2.9.2-0ubuntu8.3
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: nrawlins 2068 F.... pulseaudio
DistroRelease: Ubuntu 13.04
HibernationDevice: RESUME=UUID=f089ceb3-a892-4f99-92d3-a61c99bb2feb
InstallationDate: Installed on 2013-08-15 (3 days ago)
InstallationMedia: Ubuntu 13.04 "Raring Ringtail" - Release amd64 (20130424)
MachineType: Sony Corporation VGN-SR29XN_S
MarkForUpload: True
Package: linux 3.8.0.27.45
PackageArchitecture: amd64
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.8.0-27-generic root=UUID=7656e9f3-5437-4e10-a467-62d52144f471 ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 3.8.0-27.40-generic 3.8.13.4
RelatedPackageVersions:
 linux-restricted-modules-3.8.0-27-generic N/A
 linux-backports-modules-3.8.0-27-generic N/A
 linux-firmware 1.106
Tags: raring
Uname: Linux 3.8.0-27-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
dmi.bios.date: 08/28/2009
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: R1130Y1
dmi.board.asset.tag: N/A
dmi.board.name: VAIO
dmi.board.vendor: Sony Corporation
dmi.board.version: N/A
dmi.chassis.asset.tag: N/A
dmi.chassis.type: 10
dmi.chassis.vendor: Sony Corporation
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrR1130Y1:bd08/28/2009:svnSonyCorporation:pnVGN-SR29XN_S:pvrC6017UKK:rvnSonyCorporation:rnVAIO:rvrN/A:cvnSonyCorporation:ct10:cvrN/A:
dmi.product.name: VGN-SR29XN_S
dmi.product.version: C6017UKK
dmi.sys.vendor: Sony Corporation

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1207812

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v3.11 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.11-rc4-saucy/

Changed in linux (Ubuntu):
importance: Undecided → Medium

Yes I have just tried with Kernel 3.11 RC4 but this has not resolved the
issue.

On 8 August 2013 19:02, Joseph Salisbury <email address hidden>wrote:

> Would it be possible for you to test the latest upstream kernel? Refer
> to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest
> v3.11 kernel[0].
>
> If this bug is fixed in the mainline kernel, please add the following
> tag 'kernel-fixed-upstream'.
>
> If the mainline kernel does not fix this bug, please add the tag:
> 'kernel-bug-exists-upstream'.
>
> If you are unable to test the mainline kernel, for example it will not
> boot, please add the tag: 'kernel-unable-to-test-upstream'.
> Once testing of the upstream kernel is complete, please mark this bug as
> "Confirmed".
>
>
> Thanks in advance.
>
> [0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.11-rc4-saucy/
>
>
> ** Changed in: linux (Ubuntu)
> Importance: Undecided => Medium
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1207812
>
> Title:
> Iphone with iOS 7 does not work on Ubuntu
>
> Status in “linux” package in Ubuntu:
> Incomplete
>
> Bug description:
> When plugging in an iPhone with iOS 7 - Currently BETA 4.
>
> You receive the following message on Ubuntu 13.04 : The Device "Nick's
> iPhone" is locked. Enter the passcode on the device and click "Try
> again".
>
> The iPhone reporting "Trust the currently connected computer?"
> Trust/Don't Trust.
>
> This then happens inacontinous loop when clicking Trust.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1207812/+subscriptions
>

tags: added: kernel-bug-exists-upstream
tags: added: apport-collected raring
description: updated

apport information

apport information

Nick (nick-rawlins) wrote : CRDA.txt

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

description: updated

apport information

apport information

Nick (nick-rawlins) wrote : CRDA.txt

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

This bug exists on Ubuntu 12.04.2 x64 version + iOS7 GM version.

Zhiping Jiang (flyinfeeling) wrote :

This bug exists in Ubuntu 12.04.2 x64 + iOS7 (from beta 4 to GM )

Changed in linux (Ubuntu):
assignee: nobody → Zhiping Jiang (flyinfeeling)
status: Incomplete → Confirmed
assignee: Zhiping Jiang (flyinfeeling) → nobody
Mz-yyam (mz-yyam) wrote :

Sorry, I get this bug now!
OS: ubuntu12.04 LTS + IOS7

How can I do?

Thanks!

TazX (taz-x) on 2013-10-08
tags: added: olivia
tags: added: latest-bios-r1130y1 needs-upstream-testing
removed: olivia
description: updated
summary: - Iphone with iOS 7 does not work on Ubuntu
+ [Sony VGN-SR29XN_S] Iphone with iOS 7 does not work on Ubuntu
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
affects: linux (Ubuntu) → libimobiledevice (Ubuntu)
Changed in libimobiledevice (Ubuntu):
status: Incomplete → Confirmed
Changed in libimobiledevice (Ubuntu):
status: Confirmed → Incomplete
description: updated
summary: - [Sony VGN-SR29XN_S] Iphone with iOS 7 does not work on Ubuntu
+ iOS 7, Trust Prompt Looping
Changed in libimobiledevice (Ubuntu):
status: Incomplete → Triaged
description: updated
tags: added: patch
120 comments hidden view all 200 comments

@Rufus

Yes, the telephone was prviously connected to this computer, with iOS6.

Kernel is:
Linux home 3.5.0-46-generic #70~precise1-Ubuntu SMP Thu Jan 9 23:55:12 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

Michael (lockm) wrote :

@Henry

Thanks for the direction. Sadly, it hasn't wor)kded for me. I did as you directed - "...modifying the software source line and change 'saucy' to 'precise'..." and so was able to get the package installed. Unfortunately it appears not to have made a difference for me. :-(

I have
libimobiledevice-utils 1.1.5-0ubuntu2
libimobiledevice4 1.1.5-0ubuntu2
as Pablo notes in his post #155

I have also done the mkdir and chgmod steps indicated above in post #148

I've done some more experimenting (after I've applied the package as described above). Here's what I've found.

When I plug the phone in I get the "Trust this computer" message on the phone right away and the dialog on my computer indicating "The device "Michael's iPhone is locked...". If I click cancel I get a dialog which says "Unable to mount Michael's iPone". If, instead, I click the "trust" button on the phone and quickly click the "try again" button on the computer I get a dialog box which says "Unhandled Lockdown error (-12)". I have also seen "Unhandled Lockdown Error (-256)". I don't know if this information provides any clues or not. I hope so.

One more bit of information, perhaps helpful, perhaps not - I've tried this both with, and without a (simple) passcode on my phone.

Thanks in advance for any assistance.

@Michael,

When i plug my Ipad i get the "Trust this computer" message and i do not
anything. The message continue on screen and i can normally access my files.

On Sun, Mar 9, 2014 at 3:18 PM, Michael <email address hidden> wrote:

> @Henry
>
> Thanks for the direction. Sadly, it hasn't wor)kded for me. I did as
> you directed - "...modifying the software source line and change 'saucy'
> to 'precise'..." and so was able to get the package installed.
> Unfortunately it appears not to have made a difference for me. :-(
>
> I have
> libimobiledevice-utils 1.1.5-0ubuntu2
> libimobiledevice4 1.1.5-0ubuntu2
> as Pablo notes in his post #155
>
> I have also done the mkdir and chgmod steps indicated above in post #148
>
> I've done some more experimenting (after I've applied the package as
> described above). Here's what I've found.
>
> When I plug the phone in I get the "Trust this computer" message on the
> phone right away and the dialog on my computer indicating "The device
> "Michael's iPhone is locked...". If I click cancel I get a dialog which
> says "Unable to mount Michael's iPone". If, instead, I click the
> "trust" button on the phone and quickly click the "try again" button on
> the computer I get a dialog box which says "Unhandled Lockdown error
> (-12)". I have also seen "Unhandled Lockdown Error (-256)". I don't
> know if this information provides any clues or not. I hope so.
>
> One more bit of information, perhaps helpful, perhaps not - I've tried
> this both with, and without a (simple) passcode on my phone.
>
> Thanks in advance for any assistance.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1215098).
> https://bugs.launchpad.net/bugs/1207812
>
> Title:
> iOS 7, Trust Prompt Looping
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/libimobiledevice/+bug/1207812/+subscriptions
>

Rufus (balaenoptera-rufus) wrote :

Hi Edgar,
maybe that installation uses an older kernel? Did you do the same updates an all machines?

> Am 05.03.2014 um 22:08 schrieb EdgarPE <email address hidden>:
>
> Hi!
>
> This is very wierd. I am using a lot of Ubuntu 12.04 installations on
> different hardware. And there is one machine, my desktop, where iOS 7
> device mounting works eprfectly. On other Ubuntu Precise installations I
> bump in "trust loop" bug described above.
>
> I'd be happy to provide more information about this
> machine/installation, where thw mounting works. Which information should
> I provide?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1207812
>
> Title:
> iOS 7, Trust Prompt Looping
>
> Status in “libimobiledevice” package in Ubuntu:
> Triaged
>
> Bug description:
> The iPhone reporting "Trust the currently connected computer?" Trust/Don't Trust.
> This then happens in a continous loop when clicking Trust.
>
> ---
> ApportVersion: 2.9.2-0ubuntu8.3
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: nrawlins 2068 F.... pulseaudio
> DistroRelease: Ubuntu 13.04
> HibernationDevice: RESUME=UUID=f089ceb3-a892-4f99-92d3-a61c99bb2feb
> InstallationDate: Installed on 2013-08-15 (3 days ago)
> InstallationMedia: Ubuntu 13.04 "Raring Ringtail" - Release amd64 (20130424)
> MachineType: Sony Corporation VGN-SR29XN_S
> MarkForUpload: True
> Package: linux 3.8.0.27.45
> PackageArchitecture: amd64
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.8.0-27-generic root=UUID=7656e9f3-5437-4e10-a467-62d52144f471 ro quiet splash vt.handoff=7
> ProcVersionSignature: Ubuntu 3.8.0-27.40-generic 3.8.13.4
> RelatedPackageVersions:
> linux-restricted-modules-3.8.0-27-generic N/A
> linux-backports-modules-3.8.0-27-generic N/A
> linux-firmware 1.106
> Tags: raring
> Uname: Linux 3.8.0-27-generic x86_64
> UpgradeStatus: No upgrade log present (probably fresh install)
> UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
> dmi.bios.date: 08/28/2009
> dmi.bios.vendor: American Megatrends Inc.
> dmi.bios.version: R1130Y1
> dmi.board.asset.tag: N/A
> dmi.board.name: VAIO
> dmi.board.vendor: Sony Corporation
> dmi.board.version: N/A
> dmi.chassis.asset.tag: N/A
> dmi.chassis.type: 10
> dmi.chassis.vendor: Sony Corporation
> dmi.chassis.version: N/A
> dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrR1130Y1:bd08/28/2009:svnSonyCorporation:pnVGN-SR29XN_S:pvrC6017UKK:rvnSonyCorporation:rnVAIO:rvrN/A:cvnSonyCorporation:ct10:cvrN/A:
> dmi.product.name: VGN-SR29XN_S
> dmi.product.version: C6017UKK
> dmi.sys.vendor: Sony Corporation
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/libimobiledevice/+bug/1207812/+subscriptions

Rufus (balaenoptera-rufus) wrote :

Sorry for double posting.

> Am 05.03.2014 um 22:08 schrieb EdgarPE <email address hidden>:
>
> Hi!
>
> This is very wierd. I am using a lot of Ubuntu 12.04 installations on
> different hardware. And there is one machine, my desktop, where iOS 7
> device mounting works eprfectly. On other Ubuntu Precise installations I
> bump in "trust loop" bug described above.
>
> I'd be happy to provide more information about this
> machine/installation, where thw mounting works. Which information should
> I provide?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1207812
>
> Title:
> iOS 7, Trust Prompt Looping
>
> Status in “libimobiledevice” package in Ubuntu:
> Triaged
>
> Bug description:
> The iPhone reporting "Trust the currently connected computer?" Trust/Don't Trust.
> This then happens in a continous loop when clicking Trust.
>
> ---
> ApportVersion: 2.9.2-0ubuntu8.3
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: nrawlins 2068 F.... pulseaudio
> DistroRelease: Ubuntu 13.04
> HibernationDevice: RESUME=UUID=f089ceb3-a892-4f99-92d3-a61c99bb2feb
> InstallationDate: Installed on 2013-08-15 (3 days ago)
> InstallationMedia: Ubuntu 13.04 "Raring Ringtail" - Release amd64 (20130424)
> MachineType: Sony Corporation VGN-SR29XN_S
> MarkForUpload: True
> Package: linux 3.8.0.27.45
> PackageArchitecture: amd64
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.8.0-27-generic root=UUID=7656e9f3-5437-4e10-a467-62d52144f471 ro quiet splash vt.handoff=7
> ProcVersionSignature: Ubuntu 3.8.0-27.40-generic 3.8.13.4
> RelatedPackageVersions:
> linux-restricted-modules-3.8.0-27-generic N/A
> linux-backports-modules-3.8.0-27-generic N/A
> linux-firmware 1.106
> Tags: raring
> Uname: Linux 3.8.0-27-generic x86_64
> UpgradeStatus: No upgrade log present (probably fresh install)
> UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
> dmi.bios.date: 08/28/2009
> dmi.bios.vendor: American Megatrends Inc.
> dmi.bios.version: R1130Y1
> dmi.board.asset.tag: N/A
> dmi.board.name: VAIO
> dmi.board.vendor: Sony Corporation
> dmi.board.version: N/A
> dmi.chassis.asset.tag: N/A
> dmi.chassis.type: 10
> dmi.chassis.vendor: Sony Corporation
> dmi.chassis.version: N/A
> dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrR1130Y1:bd08/28/2009:svnSonyCorporation:pnVGN-SR29XN_S:pvrC6017UKK:rvnSonyCorporation:rnVAIO:rvrN/A:cvnSonyCorporation:ct10:cvrN/A:
> dmi.product.name: VGN-SR29XN_S
> dmi.product.version: C6017UKK
> dmi.sys.vendor: Sony Corporation
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/libimobiledevice/+bug/1207812/+subscriptions

I made packages from the current git master that work in trusty.
https://launchpad.net/~mniess/+archive/libimobiledevice/

Matthias Niess (mniess) wrote :

My packages are probably not up to standards. But for hardware-enablement alone this should be fixed in trusty. There won't be a release of libimobiledevice anytime soon that fixes this and the current version cannot be fixed with a trivial patch. So the only solution would be using a package build from git master.

Timo Jyrinki (timo-jyrinki) wrote :

Thanks Matthias for offering the PPA and subscribing the Sponsors team! I've now tried to make a better git snapshot branch based on the current Ubuntu packaging branch. I can't do testing on my own since I don't have iDevices, so could you please give tests reports after doing the following:

sudo apt-add-repository ppa:timo-jyrinki/libimobiledevice
sudo apt-get update
sudo apt-get upgrade

(or the same graphically)

In the PPA there's now a version 1.1.5+git20140313.bafe6a9e-0ubuntu1~trusty1~test1, which is same as bzr22 in my Bazaar branch.

This bug would need to be modified to follow the Feature Freeze Exception process: https://wiki.ubuntu.com/FreezeExceptionProcess#FeatureFreeze_Exceptions - but one of the requirements for the exception consideration are test results, so let's get them first.

--

If you want to downgrade later on, you can:
sudo apt-get install ppa-purge
sudo ppa-purge ppa:timo-jyrinki/libimobiledevice

Timo Jyrinki (timo-jyrinki) wrote :

(the PPA is for Ubuntu 14.04 LTS development version users only)

Sourav Sur (sourav-sur) on 2014-03-13
Changed in libimobiledevice (Ubuntu):
assignee: nobody → Sourav Sur (sourav-sur)
status: Triaged → Confirmed
Matthias Niess (mniess) wrote :

@Timo: I can confirm that it works. Tested on an existing machine and a fresh install.

Matthias Niess (mniess) wrote :

I can also confirm that devices with older iOS versions (tested a 3GS with 6.1.3) still work.

Timo Jyrinki's package fix as stated in comment #168 works for me.

Version: Ubuntu 14.04 Trusty Tahr (Development Release)
Device: iPhone 4
iOS Version: 7.0.6

Owais Lone (loneowais) wrote :

Storage is mounted in Nautilus and works like a charm but shotwell and rhythmbox fail to recognize the device.

summary: - iOS 7, Trust Prompt Looping
+ [FFe] Update libimobiledevice to support iOS 7, fix Trust Prompt Looping
Timo Jyrinki (timo-jyrinki) wrote :

Additional notes for Feature Freeze Exception consideration.

Build log at https://launchpadlibrarian.net/169329079/buildlog_ubuntu-trusty-armhf.libimobiledevice_1.1.5%2Bgit20140313.bafe6a9e-0ubuntu1~trusty1~test1_UPLOADING.txt.gz (showing this one simply to show it also built fine for armhf)

Summary of changes in the git snapshot after 1.1.5, from upstream NEWS file, in addition to iOS7 working:

---cut---
Version 1.1.6
~~~~~~~~~~~~~

* Development release
* Changes:
  - Security: Fix insecure use of the /tmp directory (CVE-2013-2142)
  - A bunch of memory leak fixes
  - Python: Various fixes and support for "with" statement for AfcFile class
  - Python: Add Afc2Client class to allow jailbroken filesystem access
  - Fix linking issue with newer libtool as reported for Ubuntu
  - Fix stuck thread in idevicesyslog which broke quit from within the tool
  - Add syslog_relay service implementation and use it in idevicesyslog
  - API: Add instproxy_client_get_path_for_bundle_identifier() helper
  - API: Add afc_dictionary_free() helper
  - Move thread, socket, debug and userpref code to "common" source directory
    in order to improve code reuse
  - Fix broken byte order detection in configure.ac which could lead to broken
    AFC protocol communication on platforms without endian.h (Raspberry PI)
* API is UNSTABLE
---cut---

There have been 146 commits to trunk after 1.1.5, attaching a list of them.

I have personally done only packaging and installation/upgrade testing, while the functionality testing is provided by the community having iOS devices in these comments. Matthias helpfully called for additional testing so I hope we have a good testing coverage.

description: updated
1 comments hidden view all 200 comments
Sebastien Bacher (seb128) wrote :

(changing the status to "New" so it's easier to ubuntu-release to notice that it needs reviewing)

Changed in libimobiledevice (Ubuntu):
status: Confirmed → New

I can confirm that it works with iOS 7.1, on an iPhone 5. I had some problems mounting the iPhone, but they got solved with

sudo mkdir /var/lib/lockdown
sudo chmod 777 /va7Lib/lockdown

Sourav Sur, please do not adjust the Status without a comment. For more on this, please see https://wiki.ubuntu.com/Bugs/Status . As well, please do not assign it to yourself unless you personally will be releasing a patch you made imminently.

Changed in libimobiledevice (Ubuntu):
assignee: Sourav Sur (sourav-sur) → nobody
status: New → Triaged
Download full text (4.0 KiB)

Sorry, I did that quite hastily and could not revert back once the status
was changed.
Only thing that I wanted to confirm is that Timo Jyrinki's patch partially
worked for
me (using ubuntu 12.04 32 bit).

Apology once again.
Sourav

On Sunday, March 16, 2014, Christopher M. Penalver <
<email address hidden>> wrote:

> Sourav Sur, please do not adjust the Status without a comment. For more
> on this, please see https://wiki.ubuntu.com/Bugs/Status . As well,
> please do not assign it to yourself unless you personally will be
> releasing a patch you made imminently.
>
> ** Changed in: libimobiledevice (Ubuntu)
> Status: New => Triaged
>
> ** Changed in: libimobiledevice (Ubuntu)
> Assignee: Sourav Sur (sourav-sur) => (unassigned)
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1207812
>
> Title:
> [FFe] Update libimobiledevice to support iOS 7, fix Trust Prompt
> Looping
>
> Status in "libimobiledevice" package in Ubuntu:
> Triaged
>
> Bug description:
> The latest libimobiledevice release 1.1.5 is a year old and does not
> support iOS7 devices. Most iOS devices have been updated to iOS7 by
> now, so currently the library is broken in functionality for most
> users. The git snapshot has been tested to work, but there seems to be
> no new upstream release being prepared for the time being.
>
> The new git snapshot includes several fixes, including the security
> fix that was previously patched on top of 1.1.5 in Ubuntu.
>
> Packaging branch merge request attached to this bug report.
>
> --- Original report ---
>
> The iPhone reporting "Trust the currently connected computer?"
> Trust/Don't Trust.
> This then happens in a continous loop when clicking Trust.
>
> ---
> ApportVersion: 2.9.2-0ubuntu8.3
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: nrawlins 2068 F.... pulseaudio
> DistroRelease: Ubuntu 13.04
> HibernationDevice: RESUME=UUID=f089ceb3-a892-4f99-92d3-a61c99bb2feb
> InstallationDate: Installed on 2013-08-15 (3 days ago)
> InstallationMedia: Ubuntu 13.04 "Raring Ringtail" - Release amd64
> (20130424)
> MachineType: Sony Corporation VGN-SR29XN_S
> MarkForUpload: True
> Package: linux 3.8.0.27.45
> PackageArchitecture: amd64
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.8.0-27-generic
> root=UUID=7656e9f3-5437-4e10-a467-62d52144f471 ro quiet splash vt.handoff=7
> ProcVersionSignature: Ubuntu 3.8.0-27.40-generic 3.8.13.4
> RelatedPackageVersions:
> linux-restricted-modules-3.8.0-27-generic N/A
> linux-backports-modules-3.8.0-27-generic N/A
> linux-firmware 1.106
> Tags: raring
> Uname: Linux 3.8.0-27-generic x86_64
> UpgradeStatus: No upgrade log present (probably fresh install)
> UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
> dmi.bios.date: 08/28/2009
> dmi.bios.vendor: American Megatrends Inc.
> dmi.bios.version: R1130Y1
> dmi.board.asset.tag: N/A
> dmi.board.name: VAIO
> dmi.board.vendor: Sony Corporation
> dmi.board.version: ...

Read more...

Matthias Niess (mniess) wrote :

@Sourav Sur, the new Packages are for Ubuntu 14.04 only!

Matthias Niess (mniess) wrote :

There are three more confirmations that the packages work on reddit. Those people unfortunately don't seem to have launchpad accounts:

http://www.reddit.com/r/Ubuntu/comments/20bndd/need_testing_help_to_land_ios7_fix_in_ubuntu_1404/

Timo Jyrinki (timo-jyrinki) wrote :

Note: the status was not changed by Sourav (well, at least according to the activity log), but by Sebastien in order for the Feature Freeze Exception part of the problem to be more visible to the Ubuntu Release team, so that they may consider accepting this update.

So the bug has a confirmed fix actually, it starts to be safe to say that at this point with 5+ confirmations, but the next step is that an approval is needed from Ubuntu Release team according to https://wiki.ubuntu.com/FreezeExceptionProcess#FeatureFreeze_Exceptions

So, please do not change the bug status to Confirmed or Triaged, but leave that to the release team.

Changed in libimobiledevice (Ubuntu):
status: Triaged → New
Iain Lane (laney) wrote :

Ack - please go ahead but please watch out for bugs appearing. Ideally subscribe to the reverse deps for a week or two.

Changed in libimobiledevice (Ubuntu):
status: New → Confirmed
Sebastien Bacher (seb128) wrote :

sponsored

Changed in libimobiledevice (Ubuntu):
status: Confirmed → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libimobiledevice - 1.1.5+git20140313.bafe6a9e-0ubuntu1

---------------
libimobiledevice (1.1.5+git20140313.bafe6a9e-0ubuntu1) trusty; urgency=medium

  [ Matthias Niess ]
  * Replace a duplicate 'backup' util man page with the one for 'crashreport'

  [ Timo Jyrinki ]
  * New upstream snapshot. (LP: #1207812)
  * Drop patches include in the upstream snapshot:
    - debian/patches/CVE-2013-2142.patch
    - debian/patches/git_explicitly_cast_ssl_enabled.patch
  * Drop the python patch, new upstream method seems to work:
    - debian/patches/09_use_python_config.patch
  * Refreshed remaining patches:
    - debian/patches/01-libs.private.patch
    - debian/patches/02-fix-link-errors.patch
  * Drop libimobiledevice-doc, the git does not include html documentation
  * Updated libimobiledevice4.symbols
  * Add missing man page for the 'idevicename' util
 -- Timo Jyrinki <email address hidden> Fri, 14 Mar 2014 08:44:15 +0200

Changed in libimobiledevice (Ubuntu):
status: Fix Committed → Fix Released
Matthias Niess (mniess) wrote :

@laney: What do you mean by "subscribe to the reverse deps"?

Timo Jyrinki (timo-jyrinki) wrote :

@Matthias: he means subscribing to bugs of libimobiledevice + packages that use it to notice if there are new bugs being filed that would be due to this update.

For example, https://bugs.launchpad.net/ubuntu/+source/libimobiledevice/ -> Subscribe to bug mail -> Give 'Subscription name', doesn't matter what -> Click Create

I guess in this case the reverse dependencies are a bit complicated, though. Build reverse dependencies ('reverse-dependencies -b libimobiledevice-dev') show the following but in practice users see problems with actual programs that eg. use gvfs:

* gnome-mplayer
* gvfs
* ideviceinstaller
* ifuse
* ipheth
* libgpod
* nautilus-ideviceinfo
* upower

Of the ones listed above, only gvfs and upower are installed by default so those are the points of interest.

Michael (lockm) wrote :

So, it looks like there's been progress on this. Because I'm a noob and there's still so much I need to learn could someone please provide some simple instructions for me to get the upgraded package? I'm currently running the 32bit version of Ubuntu 13.10

Thank you, in advance :-)

Matthias Niess (mniess) wrote :

libimobiledevice 1.1.6 has been officially released. There have been a lot of changes according to the NEWS file. I case this is too late for a FFe this should still be added later through trusty-updates. There are many bugfixes in this release.

Ryan Tandy (rtandy) wrote :
Download full text (4.4 KiB)

On Mon, Mar 24, 2014 at 10:26 AM, Matthias Niess
<email address hidden> wrote:
> libimobiledevice 1.1.6 has been officially released. There have been a
> lot of changes according to the NEWS file.

Specifically (git shortlog bafe6a9e..1.1.6):

Martin Szulecki (26):
      Bump dependency to libplist 1.11 and remove use of
"plist_dict_insert_item()"
      Refactor pair record handling to use new usbmuxd pair record interface
      lockdown: Remove obsolete debug output
      userpref: Use correct import helper for keys and certs
      lockdown: Fix wrong pointer dereference of pair_record plist
      userpref: Fix invalid plist_free() which caused pair process to fail
      userpref: Remove obsolete dict item check as
plist_dict_set_item() takes care
      lockdown: Make sure to set SystemBUID in generated pair records
      lockdown: Plug memory leak due to missing free of public_key
      lockdown: Make sure failed pairing validation works with correct
error code
      idevice: Use correct import helper for keys and certs
      idevice: Plug memory leak by freeing pair_record
      idevice: Fix misleading warning in GnuTLS SSL handshake
      lockdown: Read HostID again after pairing to fix first pair workflow
      lockdown: Move HostID generation closer to code setting it in pair record
      userpref: Try to output similar error messages in GnuTLS and OpenSSL logic
      idevice: Use more common "ERROR:" syntax for error messages
      lockdown: Correct a few comments within pair generation code
      lockdown: Fix fetching WiFi address for pair record after trust
dialog pairing
      idevicepair: Refactor error message reporting to handle a
pending trust dialog
      idevicepair: Synchronize usage between tool output and man page
      lockdown: Fix starting unsecure services as needed during trust
dialog pairing
      Bump dependencies to libplist++ 1.11 and libusbmuxd 1.0.9
      Update copyright in various files
      Update NEWS with latest changes
      Fix make distcheck by using $(top_builddir) where needed

Nikias Bassen (11):
      afc: refactor afc_dispatch_packet and improve afc_file_write performance
      afc: use static buffers where possible
      lockdown: make sure type is always free'd in
lockdownd_client_new_with_handshake
      userpref: fix mixed up root/host certificate storage
      tools: fix build of idevicepair with indirect linking
      userpref: merge pair_record_generate_from_device_public_key()
into pair_record_generate_keys_and_certs()
      userpref: fix GnuTLS key generation
      common: add thread_once() implementation
      common: add THREAD_ID macro
      implement global thread safe library initialization
      afc: Remove segmentation code from afc_file_read()

 NEWS | 55 +++++-
 common/thread.c | 16 ++
 common/thread.h | 11 ++
 common/userpref.c | 918
++++++++++++++++++++++++++++++++++++-----------------------------------------------------------------
 common/userpref.h | 43 ++---
 common/utils.c | 30 ++++
 common/utils.h | 1 +
 configure.ac | 6 +-
 dev/Makefile.am | 14 +-...

Read more...

Ryan Tandy (rtandy) wrote :

libplist 1.11 is now in unstable and looks syncable.

I don't see usbmuxd 1.0.9 anywhere, even upstream.

Ryan Tandy (rtandy) wrote :

Sorry, I'm totally wrong about libplist 1.11 being syncable. The soname changed (libplist1 -> libplist2) and I think now is probably not the time for such a transition.

Sorry for the noise.

Changed in libimobiledevice (Debian):
status: Unknown → Confirmed
Changed in linuxmint:
status: New → Confirmed
chemicalfan (mike-lumsden) wrote :

Apologies for any confusion there, having issues with Launchpad. This issue still needs addressing in Linux Mint 16 (based on Saucy)

Rufus (balaenoptera-rufus) wrote :
Download full text (3.4 KiB)

Chemicalfan,
I would recommend try Mint 17 which comes out end of May.
Mint 16 will get unsupported by July 2014.

> Am 10.04.2014 um 14:40 schrieb chemicalfan <email address hidden>:
>
> Apologies for any confusion there, having issues with Launchpad. This
> issue still needs addressing in Linux Mint 16 (based on Saucy)
>
> ** Also affects: linuxmint
> Importance: Undecided
> Status: New
>
> ** Changed in: linuxmint
> Status: New => Confirmed
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1207812
>
> Title:
> [FFe] Update libimobiledevice to support iOS 7, fix Trust Prompt
> Looping
>
> Status in The Linux Mint Distribution:
> Confirmed
> Status in “libimobiledevice” package in Ubuntu:
> Fix Released
> Status in “libimobiledevice” package in Debian:
> Confirmed
>
> Bug description:
> The latest libimobiledevice release 1.1.5 is a year old and does not
> support iOS7 devices. Most iOS devices have been updated to iOS7 by
> now, so currently the library is broken in functionality for most
> users. The git snapshot has been tested to work, but there seems to be
> no new upstream release being prepared for the time being.
>
> The new git snapshot includes several fixes, including the security
> fix that was previously patched on top of 1.1.5 in Ubuntu.
>
> Packaging branch merge request attached to this bug report.
>
> --- Original report ---
>
> The iPhone reporting "Trust the currently connected computer?" Trust/Don't Trust.
> This then happens in a continous loop when clicking Trust.
>
> ---
> ApportVersion: 2.9.2-0ubuntu8.3
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: nrawlins 2068 F.... pulseaudio
> DistroRelease: Ubuntu 13.04
> HibernationDevice: RESUME=UUID=f089ceb3-a892-4f99-92d3-a61c99bb2feb
> InstallationDate: Installed on 2013-08-15 (3 days ago)
> InstallationMedia: Ubuntu 13.04 "Raring Ringtail" - Release amd64 (20130424)
> MachineType: Sony Corporation VGN-SR29XN_S
> MarkForUpload: True
> Package: linux 3.8.0.27.45
> PackageArchitecture: amd64
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.8.0-27-generic root=UUID=7656e9f3-5437-4e10-a467-62d52144f471 ro quiet splash vt.handoff=7
> ProcVersionSignature: Ubuntu 3.8.0-27.40-generic 3.8.13.4
> RelatedPackageVersions:
> linux-restricted-modules-3.8.0-27-generic N/A
> linux-backports-modules-3.8.0-27-generic N/A
> linux-firmware 1.106
> Tags: raring
> Uname: Linux 3.8.0-27-generic x86_64
> UpgradeStatus: No upgrade log present (probably fresh install)
> UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
> dmi.bios.date: 08/28/2009
> dmi.bios.vendor: American Megatrends Inc.
> dmi.bios.version: R1130Y1
> dmi.board.asset.tag: N/A
> dmi.board.name: VAIO
> dmi.board.vendor: Sony Corporation
> dmi.board.version: N/A
> dmi.chassis.asset.tag: N/A
> dmi.chassis.type: 10
> dmi.chassis.vendor: Sony Corporation
> dmi.chassis.version: N/A
> dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrR1130Y1:bd08/28/2009:svnSonyCor...

Read more...

chemicalfan (mike-lumsden) wrote :

Thanks Rufus, I am aware - I'm hopefully flagging this at the Mint devs for packaging in Mint 17...
Although it'll come from the Ubuntu repos, so as long as Ubuntu includes the amended version for Tahr, all should be well!

Matthias Niess (mniess) wrote :

Please stop it. This is not a discussion forum or a support site.

Rufus (balaenoptera-rufus) wrote :
Download full text (3.2 KiB)

Think about users who come here because they need help.

> Am 11.04.2014 um 13:28 schrieb Matthias Niess <email address hidden>:
>
> Please stop it. This is not a discussion forum or a support site.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1207812
>
> Title:
> [FFe] Update libimobiledevice to support iOS 7, fix Trust Prompt
> Looping
>
> Status in The Linux Mint Distribution:
> Confirmed
> Status in “libimobiledevice” package in Ubuntu:
> Fix Released
> Status in “libimobiledevice” package in Debian:
> Confirmed
>
> Bug description:
> The latest libimobiledevice release 1.1.5 is a year old and does not
> support iOS7 devices. Most iOS devices have been updated to iOS7 by
> now, so currently the library is broken in functionality for most
> users. The git snapshot has been tested to work, but there seems to be
> no new upstream release being prepared for the time being.
>
> The new git snapshot includes several fixes, including the security
> fix that was previously patched on top of 1.1.5 in Ubuntu.
>
> Packaging branch merge request attached to this bug report.
>
> --- Original report ---
>
> The iPhone reporting "Trust the currently connected computer?" Trust/Don't Trust.
> This then happens in a continous loop when clicking Trust.
>
> ---
> ApportVersion: 2.9.2-0ubuntu8.3
> Architecture: amd64
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: nrawlins 2068 F.... pulseaudio
> DistroRelease: Ubuntu 13.04
> HibernationDevice: RESUME=UUID=f089ceb3-a892-4f99-92d3-a61c99bb2feb
> InstallationDate: Installed on 2013-08-15 (3 days ago)
> InstallationMedia: Ubuntu 13.04 "Raring Ringtail" - Release amd64 (20130424)
> MachineType: Sony Corporation VGN-SR29XN_S
> MarkForUpload: True
> Package: linux 3.8.0.27.45
> PackageArchitecture: amd64
> ProcFB: 0 inteldrmfb
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.8.0-27-generic root=UUID=7656e9f3-5437-4e10-a467-62d52144f471 ro quiet splash vt.handoff=7
> ProcVersionSignature: Ubuntu 3.8.0-27.40-generic 3.8.13.4
> RelatedPackageVersions:
> linux-restricted-modules-3.8.0-27-generic N/A
> linux-backports-modules-3.8.0-27-generic N/A
> linux-firmware 1.106
> Tags: raring
> Uname: Linux 3.8.0-27-generic x86_64
> UpgradeStatus: No upgrade log present (probably fresh install)
> UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
> dmi.bios.date: 08/28/2009
> dmi.bios.vendor: American Megatrends Inc.
> dmi.bios.version: R1130Y1
> dmi.board.asset.tag: N/A
> dmi.board.name: VAIO
> dmi.board.vendor: Sony Corporation
> dmi.board.version: N/A
> dmi.chassis.asset.tag: N/A
> dmi.chassis.type: 10
> dmi.chassis.vendor: Sony Corporation
> dmi.chassis.version: N/A
> dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrR1130Y1:bd08/28/2009:svnSonyCorporation:pnVGN-SR29XN_S:pvrC6017UKK:rvnSonyCorporation:rnVAIO:rvrN/A:cvnSonyCorporation:ct10:cvrN/A:
> dmi.product.name: VGN-SR29XN_S
> dmi.product.version: C6017UKK
> dmi.sys.vendor: Sony Corporation
>
> To manage notifications about this bug go to:
> https://bu...

Read more...

Matthias Niess (mniess) wrote :

This place is solely for reporting bugs and for developers to coordinate fixing them. You make the lives of developers harder. This place is not for support. Period. This bug was fixed and you people start an unrelated discussion about Linux Mint here. Every single one of your messages spams the inboxes of all the people listed on the right. Don't bother to reply, I'm unsubscribing.

s cook (sip528) on 2014-04-12
Changed in libimobiledevice (Ubuntu):
assignee: nobody → s cook (sip528)
Changed in linuxmint:
status: Confirmed → Fix Committed
Sam (samuel-hameau) wrote :

Is there any .deb file for i386 ?

Changed in libimobiledevice (Ubuntu):
assignee: s cook (sip528) → nobody
Changed in libimobiledevice (Debian):
status: Confirmed → Fix Released

Confirmed.

I fixed it really easy, tested on Ubuntu 12.04 with iOS 7 on iPhone 4 (should work for every iOS 7 device and every 12.04+ ubuntu distro):

sudo apt-get install libimobiledevice-dev

That way it'll install all dependencies.

Displaying first 40 and last 40 comments. View all 200 comments or add a comment.